LAT_UTIL(1)

NAME
lat_util - lattice utilities

SYNOPSIS
lat_util [options] [input_files]

DESCRIPTION
Read one or more files in OFF format, combine them into a single file and process it. Operations take place in the order listed below. input_files is the list of files to process. If they don't exist, explicit edges are created. If the input possesses faces they are stripped by default.

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-h  this help message

-I  verbose output

-z  suppress stripping of faces

-x <colr> remove every vertex of color colr

    use multiple -x parameters for multiple colors

-X <colr> remove every vertex NOT of color colr

-c <type> container, c - cube (default), s - sphere (uses radius)

-k <file> container, convex hull of off file or built in model (uses radius)

-r <c,n>
    radius. c is radius taken to optional root n. n = 2 is sqrt

or  l - max insphere radius, s - min insphere radius (default)

or  k - take radius from container specified by -k

-q <vecs> center offset, in form "a_val,b_val,c_val" (default: none)

-s <s,n>
    create struts. s is strut length taken to optional root n

    use multiple -s parameters for multiple struts

-D <opt>
    Voronoi (a.k.a Dirichlet) cells (Brillouin zones for duals)

    c - cells only, i - cell(s) touching center only

-C <opt>
    c - convex hull only, i - keep interior

-A  append the original lattice to the final product

-R <fi,s> repeat off file fi at every vertex in lattice. If optional s is

    set, sort and merge elements whose coordinates are the same to the number of decimal places given by option -l. elements can include: v - vertices, e - edges, f - faces, a - all (vef) n - no merging (default 'a'. Colors blended as RGB)

-K  append cage of container of -k to final product

-Z <col>
    add center vertex to final product in color col

-O  translate center of final product to origin

-l <lim>
    minimum distance for unique vertex locations as negative exponent

    (default: 12 giving 1e-12)

-o <file> write output to file (default: write to standard output)

Listing Options

-Q <vecs> center for radius calculations in -L (default: centroid)

    c - original center, o - original center + offset in -q

-L <opt>
    list unique radial distances of points (to standard output)

    f - full report, v - values only

-S <opt>
    list every possible strut value (to standard output)

    f - full report, v - values only

Coloring Options (run 'off_util -H color' for help on color formats)

-V <col>
    vertex color, (optional) elements, (optional) transparency

    elements to color are l - lattice, c - convex hull, v - voronoi

    (default elements: lcv)

    transparency. valid range from 0 (invisible) to 255 (opaque)

-E <col>
    edge color (for struts, convex hulls, and voronoi)

    lower case outputs map indexes. upper case outputs color values key word: r,R for color edges by root value of final product

-F <col>
    face color (for convex hulls and voronoi)

    key word: s,S color by symmetry using face normals key word: c,C color by symmetry using face normals (chiral)

-T <tran> face transparency for color by symmetry. valid range from 0 to 255

SEE ALSO
The full documentation for lat_util is maintained as a Texinfo manual. If the info and lat_util programs are properly installed at your site, the command

    info lat_util

should give you access to the complete manual.